MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Member Functions
PlaylistVector Class Reference

`#include <PlaylistVector.hxx>`

Inheritance diagram for PlaylistVector:
[legend]
Collaboration diagram for PlaylistVector:
[legend]

## Public Member Functions
bool | UpdateOrInsert (PlaylistInfo &&pi)
| Caller must lock the db_mutex. More...
bool | erase (const char *name)
| Caller must lock the db_mutex. More...

## Protected Member Functions
gcc_pure iterator | find (const char *name)
| Caller must lock the db_mutex. More...

## Detailed Description

Definition at line 28 of file PlaylistVector.hxx.

## Member Function Documentation

bool PlaylistVector::erase | ( | const char * | name | ) |

Caller must lock the db_mutex.

gcc_pure iterator PlaylistVector::find | ( | const char * | name | ) |
| protected

Caller must lock the db_mutex.

bool PlaylistVector::UpdateOrInsert | ( | PlaylistInfo && | pi | ) |

Caller must lock the db_mutex.

Returns
  true if the vector or one of its items was modified

The documentation for this class was generated from the following file:

- db/PlaylistVector.hxx